## lshw 02.06

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 PACKAGENAME:=lshw
 export PACKAGENAME
-SNAPSHOT=0.`cat .timestamp`
+SNAPSHOT=0.$(shell cat .timestamp)
 
 DESTDIR=/
 PREFIX=/usr
@@ -17,7 +17,10 @@
 INCLUDES=-I./core/
 DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
 CXXFLAGS=-g -Wall -Os $(INCLUDES) $(DEFINES)
-LDFLAGS=-L./core/
+LDFLAGS=-L./core/ -Os -s
+ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
+	LDFLAGS+= -Wl,--as-needed
+endif
 LDSTATIC=-static
 LIBS=-llshw
 
@@ -33,7 +36,7 @@
 	+make -C core all
 
 $(PACKAGENAME): core $(PACKAGENAME).o
-	$(CXX) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS) 
+	$(CXX) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS)
 
 .PHONY: gui
 gui: core
@@ -42,7 +45,7 @@
 .PHONY: static
 static: $(PACKAGENAME)-static
 
-$(PACKAGENAME)-static: core/lib$(PACKAGENAME).a $(PACKAGENAME).o
+$(PACKAGENAME)-static: core core/lib$(PACKAGENAME).a $(PACKAGENAME).o
 	$(CXX) $(LDSTATIC) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS)
 	strip $@
 
@@ -81,6 +84,8 @@
 	-mkdir -p $(DESTDIR)
 	-mkdir -p $(DESTDIR)/$(SBINDIR)
 	cp gui/gtk-$(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
+	-mkdir -p $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
+	cp gui/artwork/*.svg $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
 	
 clean:
 	rm -f $(PACKAGENAME).o $(PACKAGENAME) $(PACKAGENAME)-static $(PACKAGENAME)-compressed
