=== src/gui/Makefile ===
--- 
+++ 
@@ -10,9 +10,12 @@
 CFLAGS=$(CXXFLAGS) $(DEFINES)
 GTKLIBS=$(shell pkg-config gtk+-2.0 --libs)
 LIBS=-L../core -llshw $(GTKLIBS)
-LDFLAGS=
+LDFLAGS= -Os -s
+ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
+	LDFLAGS+= -Wl,--as-needed
+endif
 
-OBJS = gtk-lshw.o interface.o support.o callbacks.o engine.o print.o
+OBJS = gtk-lshw.o interface.o support.o callbacks.o engine.o print.o stock.o
 SRCS = $(OBJS:.o=.c)
 
 all: gtk-$(PACKAGENAME)
