=== src/Makefile ===
--- 
+++ 
@@ -2,27 +2,29 @@
 export PACKAGENAME
 SNAPSHOT=0.$(shell cat .timestamp)
 
-DESTDIR=/
-PREFIX=/usr
+DESTDIR?=/
+PREFIX?=/usr
 SBINDIR=$(PREFIX)/sbin
 MANDIR=$(PREFIX)/share/man
 DATADIR=$(PREFIX)/share
+INSTALL?=install -p
+STRIP?=strip
 export DESTDIR
 export PREFIX
 export SBINDIR
 export MANDIR
 export DATADIR
 
-CXX=c++
+CXX?=c++
 INCLUDES=-I./core/
 DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
-CXXFLAGS=-g -Wall -Os $(INCLUDES) $(DEFINES)
-LDFLAGS=-L./core/ -Os -s
+CXXFLAGS=-g -Wall -g $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
+LDFLAGS=-L./core/ -g
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed
 endif
 LDSTATIC=-static
-LIBS=-llshw
+LIBS=-llshw -lresolv
 
 DATAFILES = pci.ids usb.ids oui.txt manuf.txt
 
@@ -42,12 +44,16 @@
 gui: core
 	+make -C gui all
 
+.PHONY: nologo
+nologo:
+	cp -f gui/artwork/nologo/* gui/artwork/
+
 .PHONY: static
 static: $(PACKAGENAME)-static
 
 $(PACKAGENAME)-static: core core/lib$(PACKAGENAME).a $(PACKAGENAME).o
 	$(CXX) $(LDSTATIC) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS)
-	strip $@
+	$(STRIP) $@
 
 .PHONY: compressed
 compressed: $(PACKAGENAME)-compressed
@@ -71,21 +77,18 @@
 	wget http://www.ethereal.com/distribution/manuf.txt
 
 install: all
-	-mkdir -p $(DESTDIR)
-	-mkdir -p $(DESTDIR)/$(SBINDIR)
-	cp $(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
-	strip $(DESTDIR)/$(SBINDIR)/$(PACKAGENAME)
-	-mkdir -p $(DESTDIR)/$(MANDIR)/man1
-	cp $(PACKAGENAME).1 $(DESTDIR)/$(MANDIR)/man1
-	-mkdir -p $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
-	cp $(DATAFILES) $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
+	$(INSTALL) -m 0755 $(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALL) -m 0644 $(PACKAGENAME).1 $(DESTDIR)/$(MANDIR)/man1
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
+	$(INSTALL) -m 0644 $(DATAFILES) $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
 
 install-gui: gui
-	-mkdir -p $(DESTDIR)
-	-mkdir -p $(DESTDIR)/$(SBINDIR)
-	cp gui/gtk-$(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
-	-mkdir -p $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
-	cp gui/artwork/*.svg $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
+	$(INSTALL) -m 0755 gui/gtk-$(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
+	$(INSTALL) -m 0644 gui/artwork/*.svg $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
 	
 clean:
 	rm -f $(PACKAGENAME).o $(PACKAGENAME) $(PACKAGENAME)-static $(PACKAGENAME)-compressed
