## lshw 02.15

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 PACKAGENAME:=lshw
 export PACKAGENAME
 SNAPSHOT=0.$(shell cat .timestamp)
+
+SQLITE?=0
 
 DESTDIR?=/
 PREFIX?=/usr
@@ -14,17 +16,28 @@
 export SBINDIR
 export MANDIR
 export DATADIR
+export SQLITE
 
 CXX?=c++
 INCLUDES=-I./core/
 DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
 CXXFLAGS=-g -Wall -g $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
+ifeq ($(SQLITE), 1)
+	CXXFLAGS+= -DSQLITE $(shell pkg-config --cflags sqlite3)
+endif
 LDFLAGS=-L./core/ -g
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed
 endif
 LDSTATIC=-static
 LIBS=-llshw -lresolv
+ifeq ($(SQLITE), 1)
+	LIBS+= $(shell pkg-config --libs sqlite3)
+endif
+
+export CXXFLAGS
+export LIBS
+export LDFLAGS
 
 DATAFILES = pci.ids usb.ids oui.txt manuf.txt
 
@@ -39,6 +52,10 @@
 
 $(PACKAGENAME): core $(PACKAGENAME).o
 	$(CXX) $(LDFLAGS) -o $@ $(PACKAGENAME).o $(LIBS)
+
+.PHONY: po
+po:
+	+make -C po all
 
 .PHONY: gui
 gui: core
@@ -83,6 +100,7 @@
 	$(INSTALL) -m 0644 $(PACKAGENAME).1 $(DESTDIR)/$(MANDIR)/man1
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
 	$(INSTALL) -m 0644 $(DATAFILES) $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)
+	make -C po install
 
 install-gui: gui
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
@@ -103,7 +121,7 @@
                                                                                
 release: $(PACKAGENAME).spec
 	mkdir -p ../../releases
-	svn copy .. `dirname ${PWD}`/releases/`cat ../.version`
+	svn copy ${PWD} `dirname ${PWD}`/releases/`cat ../.version`
 	svn commit `dirname ${PWD}`/releases/`cat ../.version` -m "released version "`cat ../.version`" of "$(PACKAGENAME)
 	rm -rf $(PACKAGENAME)-`cat ../.version`
 	svn export ../../releases/`cat ../.version` $(PACKAGENAME)-`cat ../.version`
