## lshw 02.17

=== src/Makefile ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	wget http://standards.ieee.org/regauth/oui/oui.txt
 
 manuf.txt:
-	wget http://www.ethereal.com/distribution/manuf.txt
+	wget -O $@ http://anonsvn.wireshark.org/wireshark/trunk/manuf
 
 install: all
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
@@ -106,6 +106,8 @@
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
 	$(INSTALL) -m 0755 gui/gtk-$(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
+	$(INSTALL) -d -m 0755 $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/ui
+	$(INSTALL) -m 0644 gui/*.ui $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/ui
 	$(INSTALL) -m 0644 gui/artwork/*.svg $(DESTDIR)/$(DATADIR)/$(PACKAGENAME)/artwork
 	
 clean:
