=== src/gui/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PACKAGENAME?=lshw
 
-CXX?=c++
-CC?=cc
+CXX?=$(CROSS_COMPILE)c++
+CC?=$(CROSS_COMPILE)cc
 STRIP?=strip
 OBJCOPY?=objcopy
 
@@ -9,9 +9,15 @@
 GTKINCLUDES=$(shell pkg-config gtk+-2.0 --cflags)
 INCLUDES=-I../core $(GTKINCLUDES)
 CXXFLAGS=-g -Wall $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
+ifeq ($(SQLITE), 1)
+	CXXFLAGS+= -DSQLITE $(shell pkg-config --cflags sqlite3)
+endif
 CFLAGS=$(CXXFLAGS) $(DEFINES)
 GTKLIBS=$(shell pkg-config gtk+-2.0 gmodule-2.0 --libs)
-LIBS=-L../core -llshw -lresolv $(GTKLIBS)
+LIBS+=-L../core -llshw -lresolv $(GTKLIBS)
+ifeq ($(SQLITE), 1)
+	LIBS+= $(shell pkg-config --libs sqlite3)
+endif
 LDFLAGS=
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed
