=== debian/changelog ===
lshw (02.18.85-0.7ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Cherry pick two patches from upstream to fix JSON formatting via
      https://ezix.org/src/pkg/lshw/pulls/28
    - Add cherry-picked patches for NMVe support

 -- Matthieu Clemenceau <matthieu.clemenceau@canonical.com>  Thu, 12 Aug 2021 08:07:36 -0500

lshw (02.18.85-0.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix for floating point exception on invalid FAT,
    thanks to Dave Gomboc and Bernhard Übelacker. (Closes: #946940)

 -- Adrian Bunk <bunk@debian.org>  Sat, 17 Jul 2021 20:19:28 +0300

lshw (02.18.85-0.6ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Cherry pick two patches from upstream to fix JSON formatting via
      https://ezix.org/src/pkg/lshw/pulls/28
    - Add cherry-picked patches for NMVe support

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 22 Feb 2021 15:27:14 +0100

lshw (02.18.85-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Recommends from pciutils/usbutils to pci.ids/usb.ids (Closes:
    #944503).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 03 Jan 2021 22:41:23 +0000

lshw (02.18.85-0.5ubuntu2) hirsute; urgency=medium

  * Add cherry-picked patches for NMVe support (LP: #1826737):
    - d/p/lp1826737-code-clean-up.patch
    - d/p/lp1826737-implement-NVMe-scanning.patch
    - d/p/lp1826737-align-physical-ID-with-NVMe-namespace.patch
    - d/p/lp1826737-treat-NVMe-namespaces-like-disks.patch

 -- Victor Manuel Tapia King <victor.tapia@canonical.com>  Thu, 17 Dec 2020 10:34:41 +0100

lshw (02.18.85-0.5ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable (LP: #1902515)
    - Removed Ubuntu delta, replaced by two patches applied upstream
  * Cherry pick two patches from upstream to fix JSON formatting via
    https://ezix.org/src/pkg/lshw/pulls/28:
    - 2b1c730b493d647bbab4854713571458e82a81e7.patch
    - 15565229509455527de9ce7cbb9530e2b31d043b.patch

 -- Lukas Märdian <lukas.maerdian@canonical.com>  Mon, 02 Nov 2020 13:04:29 +0100

lshw (02.18.85-0.5) unstable; urgency=medium

  * Desactivate revert-Fix_JSON_output_format.patch: it's making things worse.

 -- Thomas Goirand <zigo@debian.org>  Sun, 26 Apr 2020 13:43:52 +0200

lshw (02.18.85-0.4) unstable; urgency=medium

  * Switch to debhelper-compat (= 10).
  * Add revert-Fix_JSON_output_format.patch (Closes: #929206).

 -- Thomas Goirand <zigo@debian.org>  Tue, 14 Apr 2020 22:07:20 +0200

lshw (02.18.85-0.3ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:28:51 +0100

lshw (02.18.85-0.3ubuntu1) focal; urgency=medium

  * Cherrypick upstream pull-request/patch to fix json output. LP:
    #1843063

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 30 Jan 2020 16:24:24 +0000

lshw (02.18.85-0.3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Upload to unstable
  * Refresh FTCBFS patch to make it apply on the new release.

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix FTCBFS: Closes: #839404.
    + Pass triplet-prefixed CC and CXX to make.
    + cross.patch: Make pkg-config substitutable.
    + Use triplet-prefixed pkg-config.

  [ Steve Langasek ]
  * fix -version wrongly passed during build procedure (Closes: #849697)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Jul 2019 14:36:53 +0200

lshw (02.18.85-0.2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Add Vcs-* field

  [ Thomas Goirand ]
  * Add patch: add-missing-ethlink-standards.patch, so that cards with newer
    ethernet link types / speed are detected.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Jul 2019 11:15:12 +0200

lshw (02.18.85-0.1) unstable; urgency=medium

  * Non-maintainer upload with prior agreement from maintainer.
  * New upstream release (Closes: #903640).
  * Rebased patches, and fix them for removing path to the src folder.
  * Removed patches applied upstream:
    - Avoid-crash-in-scan_dmi_sysfs-when-running-as-non-ro.patch
    - alpha.patch
    - fix-manpage.patch
    - fix-width-handling.patch
  * Add openstack-pkg-tools build-depends to manage upstream tarballs.
  * Removed quilt from build depends, switch to format 3.0 (quilt).
  * Ran wrap-and-sort -bast.
  * Fixed debian/rules to stop using lshw-<version>/src folder, but just src.
  * Add homepage field.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Jul 2018 15:02:49 +0200

lshw (02.18-0.1) unstable; urgency=medium

  * Non-maintainer upload with permission of the maintainer.
  * New upstream release.  Closes: #823639, #756921, #746616, #758550,
    #767023.
    - Refresh patches for unfortunate new upstream tarball layout.
    - debian/patches/fat-inspection.patch, debian/patches/smbios-noscan.patch:
      drop, fixed upstream.
    - Drop debian/patches/sparc.patch: no longer applies cleanly, and is
      incorrect (double header inclusion).
  * debian/patches/Avoid-crash-in-scan_dmi_sysfs-when-running-as-non-ro.patch:
    patch taken from Ubuntu to fix an upstream regression when running as
    non-root; thanks to dann frazier <dann.frazier@canonical.com>
  * debian/patches/fix-width-handling.patch: Fix regression in detecting
    platform width.

 -- Steve Langasek <vorlon@debian.org>  Mon, 15 Aug 2016 13:42:04 -0700

lshw (02.17-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable the memory scanning for all architectures other
    than i386 and x86_64. Patch from Leif Lindholm
    <unixsmurf@gmail.com> (Closes: #740034)
  * Prevent segfault if system has FAT partition(s) Patch from
    Alban Browaeys <prahal@yahoo.com> (Closes: #757689)

 -- Neil Williams <codehelp@debian.org>  Thu, 06 Nov 2014 12:16:13 +0000

lshw (02.17-1) unstable; urgency=medium

  [ Alex Henrie ]
  * New upstream release

