## lshw 02.18.85.3

=== src/Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 VERSION?= $(shell git describe --tags --long | cut -d - -f 1,2 | tr - .)
 
 SQLITE?=0
+ZLIB?=0
 
 DESTDIR?=/
 PREFIX?=/usr
@@ -17,34 +18,48 @@
 export MANDIR
 export DATADIR
 export SQLITE
+export ZLIB
 
-CXX?=c++
+CXX?=$(CROSS_COMPILE)c++
 INCLUDES=-I./core/
-DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\"
+DEFINES=-DPREFIX=\"$(PREFIX)\" -DSBINDIR=\"$(SBINDIR)\" -DMANDIR=\"$(MANDIR)\" -DDATADIR=\"$(DATADIR)\" -DVERSION=\"$(VERSION)\"
 CXXFLAGS=-g -Wall -g $(INCLUDES) $(DEFINES) $(RPM_OPT_FLAGS)
 ifeq ($(SQLITE), 1)
 	CXXFLAGS+= -DSQLITE $(shell pkg-config --cflags sqlite3)
 endif
-LDFLAGS=-L./core/ -g
+ifeq ($(ZLIB), 1)
+	CXXFLAGS+= -DZLIB $(shell pkg-config --cflags zlib)
+endif
+LDFLAGS+=-L./core/ -g
 ifneq ($(shell $(LD) --help 2| grep -- --as-needed), )
 	LDFLAGS+= -Wl,--as-needed
 endif
 LDSTATIC=-static
-LIBS=-llshw -lresolv
+LIBS+=-llshw -lresolv
 ifeq ($(SQLITE), 1)
 	LIBS+= $(shell pkg-config --libs sqlite3)
+endif
+ifeq ($(ZLIB), 1)
+	LIBS+= $(shell pkg-config --libs zlib)
 endif
 
 export CXXFLAGS
 export LIBS
 export LDFLAGS
 
-DATAFILES = pci.ids usb.ids oui.txt manuf.txt
+ifeq ($(ZLIB), 1)
+DATAFILES = pci.ids.gz usb.ids.gz oui.txt.gz manuf.txt.gz pnp.ids.gz pnpid.txt.gz
+else
+DATAFILES = pci.ids usb.ids oui.txt manuf.txt pnp.ids pnpid.txt
+endif
 
 all: $(PACKAGENAME) $(PACKAGENAME).1 $(DATAFILES)
 
 .cc.o:
 	$(CXX) $(CXXFLAGS) -c $< -o $@
+
+%.gz: %
+	gzip -c $< > $@
 
 .PHONY: core
 core:
@@ -93,6 +108,12 @@
 manuf.txt:
 	wget -O $@ http://anonsvn.wireshark.org/wireshark/trunk/manuf
 
+pnp.ids:
+	wget https://git.fedorahosted.org/cgit/hwdata.git/plain/pnp.ids
+
+pnpid.txt:
+	wget http://www-pc.uni-regensburg.de/hardware/TECHNIK/PCI_PNP/pnpid.txt
+
 install: all
 	$(INSTALL) -d -m 0755 $(DESTDIR)/$(SBINDIR)
 	$(INSTALL) -m 0755 $(PACKAGENAME) $(DESTDIR)/$(SBINDIR)
@@ -112,6 +133,7 @@
 	
 clean:
 	rm -f $(PACKAGENAME).o $(PACKAGENAME) $(PACKAGENAME)-static $(PACKAGENAME)-compressed
+	rm -f $(addsuffix .gz,$(DATAFILES))
 	make -C core clean
 	make -C gui clean
