=== debian/changelog ===
lshw (02.18.85.3-1+dde) UNRELEASED; urgency=medium

  * 修复json输出memory信息时,格式错误问题.

 -- lichangze <lichangze@uniontech.com>  Mon, 27 Mar 2023 12:19:37 +0800

lshw (02.18.85.2-1+dde) unstable; urgency=medium

  * Prevents burning errors from scanning the cdrom while burning.

 -- liaoyuan <liaoyuan@uniontech.com>  Thu, 13 Oct 2022 14:32:03 +0800

lshw (02.18.85.1-1+dde) unstable; urgency=medium

  * fix memory leak in scandir.

 -- lishengyu <lishengyu@uniontech.com>  Tue, 21 Jun 2022 09:59:11 +0800

lshw (02.18.85-0.2+dde) unstable; urgency=medium

  * Add patch:
    - dmi-fix-memory-clock-calculate-overflow.patch

 -- Binbin Zhou <zhoubinbin@uniontech.com>  Wed, 3 Nov 2021 15:58:40 +0800
